## C.1 Standard bases

### Definition

Let and let be a submodule of . Note that for r=1 this means that is an ideal in . Denote by the submodule of generated by the leading terms of elements of , i.e. by . Then is called a standard basis of if generate .

### Properties

normal form:
  A function , is called a normal form if for any and any standard basis the following holds: if then does not divide for all . (Note that such a function is not unique).

  is called a normal form of with respect to

ideal membership:
  For a standard basis of the following holds: if and only if .
Hilbert function:
  Let be a homogeneous module, then the Hilbert function of (see below) and the Hilbert function of the leading module coincide, i.e., .

User manual for Singular version 4-0-3, 2016, generated by texi2html.